<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>TabPaths</class>
 <widget class="QWidget" name="TabPaths">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>422</width>
    <height>624</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string notr="true">Form</string>
  </property>
  <property name="windowIcon">
   <iconset resource="../../../../../vmisc/share/resources/icon.qrc">
    <normaloff>:/icon/64x64/icon64x64.png</normaloff>:/icon/64x64/icon64x64.png</iconset>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout_8">
   <item>
    <widget class="QScrollArea" name="scrollArea">
     <property name="widgetResizable">
      <bool>true</bool>
     </property>
     <widget class="QWidget" name="scrollAreaWidgetContents">
      <property name="geometry">
       <rect>
        <x>0</x>
        <y>0</y>
        <width>394</width>
        <height>612</height>
       </rect>
      </property>
      <layout class="QVBoxLayout" name="verticalLayout">
       <item>
        <widget class="QTabWidget" name="tabWidget">
         <property name="currentIndex">
          <number>0</number>
         </property>
         <widget class="QWidget" name="tabMainPath">
          <attribute name="title">
           <string>Main path</string>
          </attribute>
          <layout class="QVBoxLayout" name="verticalLayout_2">
           <item>
            <layout class="QHBoxLayout" name="horizontalLayout_8">
             <item>
              <widget class="QLabel" name="label_3">
               <property name="sizePolicy">
                <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                 <horstretch>0</horstretch>
                 <verstretch>0</verstretch>
                </sizepolicy>
               </property>
               <property name="text">
                <string/>
               </property>
               <property name="pixmap">
                <pixmap resource="../../../../../vmisc/share/resources/icon.qrc">:/icon/32x32/clockwise.png</pixmap>
               </property>
              </widget>
             </item>
             <item>
              <widget class="QLabel" name="label_4">
               <property name="text">
                <string>All objects in path should follow in clockwise direction.</string>
               </property>
               <property name="wordWrap">
                <bool>true</bool>
               </property>
              </widget>
             </item>
            </layout>
           </item>
           <item>
            <widget class="QCheckBox" name="checkBoxHideMainPath">
             <property name="toolTip">
              <string>Hide the main path if the seam allowance is enabled</string>
             </property>
             <property name="text">
              <string>Hide main path</string>
             </property>
            </widget>
           </item>
           <item>
            <widget class="QListWidget" name="listWidgetMainPath">
             <property name="dragDropMode">
              <enum>QAbstractItemView::InternalMove</enum>
             </property>
            </widget>
           </item>
           <item>
            <layout class="QHBoxLayout" name="horizontalLayout_3">
             <item alignment="Qt::AlignLeft">
              <widget class="QToolButton" name="toolButtonTop">
               <property name="enabled">
                <bool>false</bool>
               </property>
               <property name="toolTip">
                <string>Move on top</string>
               </property>
               <property name="text">
                <string notr="true">...</string>
               </property>
               <property name="icon">
                <iconset theme="go-top">
                 <normaloff>../../../../../../app/tape</normaloff>../../../../../../app/tape</iconset>
               </property>
              </widget>
             </item>
             <item alignment="Qt::AlignLeft">
              <widget class="QToolButton" name="toolButtonUp">
               <property name="enabled">
                <bool>false</bool>
               </property>
               <property name="toolTip">
                <string>Move up</string>
               </property>
               <property name="text">
                <string notr="true">...</string>
               </property>
               <property name="icon">
                <iconset theme="go-up">
                 <normaloff>../../../../../../app/tape</normaloff>../../../../../../app/tape</iconset>
               </property>
              </widget>
             </item>
             <item alignment="Qt::AlignLeft">
              <widget class="QToolButton" name="toolButtonDown">
               <property name="enabled">
                <bool>false</bool>
               </property>
               <property name="toolTip">
                <string>Move down</string>
               </property>
               <property name="text">
                <string notr="true">...</string>
               </property>
               <property name="icon">
                <iconset theme="go-down">
                 <normaloff>../../../../../../app/tape</normaloff>../../../../../../app/tape</iconset>
               </property>
              </widget>
             </item>
             <item alignment="Qt::AlignLeft">
              <widget class="QToolButton" name="toolButtonBottom">
               <property name="enabled">
                <bool>false</bool>
               </property>
               <property name="toolTip">
                <string>Move on bottom</string>
               </property>
               <property name="text">
                <string notr="true">...</string>
               </property>
               <property name="icon">
                <iconset theme="go-bottom">
                 <normaloff>../../../../../../app/tape</normaloff>../../../../../../app/tape</iconset>
               </property>
              </widget>
             </item>
             <item>
              <spacer name="horizontalSpacer_2">
               <property name="orientation">
                <enum>Qt::Horizontal</enum>
               </property>
               <property name="sizeHint" stdset="0">
                <size>
                 <width>5000</width>
                 <height>20</height>
                </size>
               </property>
              </spacer>
             </item>
            </layout>
           </item>
           <item>
            <widget class="QLabel" name="helpLabel">
             <property name="text">
              <string>Ready!</string>
             </property>
             <property name="textFormat">
              <enum>Qt::RichText</enum>
             </property>
             <property name="scaledContents">
              <bool>false</bool>
             </property>
            </widget>
           </item>
          </layout>
         </widget>
         <widget class="QWidget" name="tabPiece">
          <attribute name="title">
           <string>Piece</string>
          </attribute>
          <layout class="QVBoxLayout" name="verticalLayout_9">
           <item>
            <layout class="QGridLayout" name="gridLayout">
             <item row="0" column="1">
              <widget class="VLineEdit" name="lineEditName">
               <property name="text">
                <string>Detail</string>
               </property>
               <property name="placeholderText">
                <string>Name can't be empty</string>
               </property>
              </widget>
             </item>
             <item row="1" column="0">
              <widget class="QLabel" name="label">
               <property name="text">
                <string>Priority:</string>
               </property>
              </widget>
             </item>
             <item row="0" column="0">
              <widget class="QLabel" name="labelEditName">
               <property name="text">
                <string>Name of detail:</string>
               </property>
              </widget>
             </item>
             <item row="1" column="1">
              <widget class="QSpinBox" name="spinBoxPriority">
               <property name="toolTip">
                <string>Controls priority in layout. 0 - no priority.</string>
               </property>
              </widget>
             </item>
             <item row="2" column="1">
              <widget class="QLineEdit" name="lineEditUUID">
               <property name="toolTip">
                <string>Universally Unique IDentifier of piece. Used to identifier piece while updating manual layout. Left empty to generate new value.</string>
               </property>
               <property name="placeholderText">
                <string notr="true">{xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx}</string>
               </property>
               <property name="clearButtonEnabled">
                <bool>true</bool>
               </property>
              </widget>
             </item>
             <item row="2" column="0">
              <widget class="QLabel" name="labelEditUUID">
               <property name="text">
                <string notr="true">UUID:</string>
               </property>
              </widget>
             </item>
             <item row="3" column="0">
              <widget class="QLabel" name="label_5">
               <property name="text">
                <string>Gradation label:</string>
               </property>
              </widget>
             </item>
             <item row="3" column="1">
              <layout class="QHBoxLayout" name="horizontalLayout">
               <item>
                <widget class="QLineEdit" name="lineEditGradationLabel">
                 <property name="placeholderText">
                  <string notr="true">%size%_%height%</string>
                 </property>
                 <property name="clearButtonEnabled">
                  <bool>true</bool>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QPushButton" name="pushButtonGradationPlaceholder">
                 <property name="text">
                  <string>Insert…</string>
                 </property>
                </widget>
               </item>
              </layout>
             </item>
            </layout>
           </item>
           <item>
            <widget class="QCheckBox" name="checkBoxForbidFlipping">
             <property name="toolTip">
              <string>Forbid piece be mirrored in a layout.</string>
             </property>
             <property name="text">
              <string>Forbid flipping</string>
             </property>
            </widget>
           </item>
           <item>
            <widget class="QCheckBox" name="checkBoxForceFlipping">
             <property name="toolTip">
              <string>Force piece to be always flipped in a layout.</string>
             </property>
             <property name="text">
              <string>Force flipping</string>
             </property>
            </widget>
           </item>
           <item>
            <spacer name="verticalSpacer">
             <property name="orientation">
              <enum>Qt::Vertical</enum>
             </property>
             <property name="sizeHint" stdset="0">
              <size>
               <width>20</width>
               <height>40</height>
              </size>
             </property>
            </spacer>
           </item>
          </layout>
         </widget>
         <widget class="QWidget" name="tabSeamAllowance">
          <attribute name="title">
           <string>Seam allowance</string>
          </attribute>
          <layout class="QVBoxLayout" name="verticalLayout_6">
           <item>
            <widget class="QCheckBox" name="checkBoxSeams">
             <property name="text">
              <string>Seam allowance</string>
             </property>
             <property name="checked">
              <bool>false</bool>
             </property>
            </widget>
           </item>
           <item>
            <widget class="QCheckBox" name="checkBoxBuiltIn">
             <property name="enabled">
              <bool>false</bool>
             </property>
             <property name="toolTip">
              <string>The seam allowance is part of main path</string>
             </property>
             <property name="text">
              <string>Built in</string>
             </property>
            </widget>
           </item>
           <item>
            <widget class="QGroupBox" name="groupBoxAutomatic">
             <property name="enabled">
              <bool>false</bool>
             </property>
             <property name="title">
              <string comment="seam allowance">Automatic</string>
             </property>
             <property name="flat">
              <bool>false</bool>
             </property>
             <property name="checkable">
              <bool>false</bool>
             </property>
             <layout class="QVBoxLayout" name="verticalLayout_5">
              <property name="bottomMargin">
               <number>0</number>
              </property>
              <item>
               <layout class="QHBoxLayout" name="horizontalLayout_2">
                <item alignment="Qt::AlignLeft">
                 <widget class="QLabel" name="labelEditWidth">
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="palette">
                   <palette>
                    <active>
                     <colorrole role="WindowText">
                      <brush brushstyle="SolidPattern">
                       <color alpha="255">
                        <red>255</red>
                        <green>0</green>
                        <blue>0</blue>
                       </color>
                      </brush>
                     </colorrole>
                    </active>
                    <inactive>
                     <colorrole role="WindowText">
                      <brush brushstyle="SolidPattern">
                       <color alpha="255">
                        <red>255</red>
                        <green>0</green>
                        <blue>0</blue>
                       </color>
                      </brush>
                     </colorrole>
                    </inactive>
                    <disabled>
                     <colorrole role="WindowText">
                      <brush brushstyle="SolidPattern">
                       <color alpha="255">
                        <red>159</red>
                        <green>158</green>
                        <blue>158</blue>
                       </color>
                      </brush>
                     </colorrole>
                    </disabled>
                   </palette>
                  </property>
                  <property name="text">
                   <string>Width:</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <spacer name="horizontalSpacer">
                  <property name="orientation">
                   <enum>Qt::Horizontal</enum>
                  </property>
                  <property name="sizeHint" stdset="0">
                   <size>
                    <width>40</width>
                    <height>20</height>
                   </size>
                  </property>
                 </spacer>
                </item>
                <item alignment="Qt::AlignRight">
                 <widget class="QToolButton" name="toolButtonExprWidth">
                  <property name="toolTip">
                   <string>Formula wizard</string>
                  </property>
                  <property name="text">
                   <string notr="true">...</string>
                  </property>
                  <property name="icon">
                   <iconset resource="../../../../../vmisc/share/resources/icon.qrc">
                    <normaloff>:/icon/24x24/fx.png</normaloff>:/icon/24x24/fx.png</iconset>
                  </property>
                  <property name="iconSize">
                   <size>
                    <width>24</width>
                    <height>24</height>
                   </size>
                  </property>
                 </widget>
                </item>
                <item alignment="Qt::AlignRight">
                 <widget class="QLabel" name="label_2">
                  <property name="text">
                   <string/>
                  </property>
                  <property name="pixmap">
                   <pixmap resource="../../../../../vmisc/share/resources/icon.qrc">:/icon/24x24/equal.png</pixmap>
                  </property>
                 </widget>
                </item>
                <item alignment="Qt::AlignRight">
                 <widget class="QLabel" name="labelResultWidth">
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="minimumSize">
                   <size>
                    <width>87</width>
                    <height>0</height>
                   </size>
                  </property>
                  <property name="toolTip">
                   <string>Value</string>
                  </property>
                  <property name="text">
                   <string notr="true">_</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </item>
              <item>
               <layout class="QHBoxLayout" name="horizontalLayout_6">
                <item>
                 <widget class="VPlainTextEdit" name="plainTextEditFormulaWidth">
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="maximumSize">
                   <size>
                    <width>16777215</width>
                    <height>28</height>
                   </size>
                  </property>
                  <property name="toolTip">
                   <string>Calculation</string>
                  </property>
                  <property name="tabChangesFocus">
                   <bool>true</bool>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QPushButton" name="pushButtonGrowWidth">
                  <property name="maximumSize">
                   <size>
                    <width>18</width>
                    <height>18</height>
                   </size>
                  </property>
                  <property name="sizeIncrement">
                   <size>
                    <width>0</width>
                    <height>0</height>
                   </size>
                  </property>
                  <property name="toolTip">
                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Show full calculation in message box&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
                  </property>
                  <property name="text">
                   <string notr="true"/>
                  </property>
                  <property name="icon">
                   <iconset theme="go-down">
                    <normaloff>../</normaloff>../</iconset>
                  </property>
                  <property name="iconSize">
                   <size>
                    <width>16</width>
                    <height>16</height>
                   </size>
                  </property>
                  <property name="flat">
                   <bool>true</bool>
                  </property>
                 </widget>
                </item>
               </layout>
              </item>
              <item>
               <widget class="QGroupBox" name="groupBox">
                <property name="title">
                 <string>Nodes</string>
                </property>
                <layout class="QVBoxLayout" name="verticalLayout_3">
                 <property name="bottomMargin">
                  <number>0</number>
                 </property>
                 <item>
                  <layout class="QHBoxLayout" name="horizontalLayout_10">
                   <item>
                    <widget class="QLabel" name="labelNode">
                     <property name="sizePolicy">
                      <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
                       <horstretch>0</horstretch>
                       <verstretch>0</verstretch>
                      </sizepolicy>
                     </property>
                     <property name="text">
                      <string>Node:</string>
                     </property>
                    </widget>
                   </item>
                   <item>
                    <widget class="QComboBox" name="comboBoxNodes">
                     <property name="sizePolicy">
                      <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
                       <horstretch>0</horstretch>
                       <verstretch>0</verstretch>
                      </sizepolicy>
                     </property>
                    </widget>
                   </item>
                   <item>
                    <spacer name="horizontalSpacer_7">
                     <property name="orientation">
                      <enum>Qt::Horizontal</enum>
                     </property>
                     <property name="sizeHint" stdset="0">
                      <size>
                       <width>40</width>
                       <height>20</height>
                      </size>
                     </property>
                    </spacer>
                   </item>
                  </layout>
                 </item>
                 <item>
                  <layout class="QHBoxLayout" name="horizontalLayout_9">
                   <item alignment="Qt::AlignLeft">
                    <widget class="QLabel" name="labelEditBefore">
                     <property name="sizePolicy">
                      <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                       <horstretch>0</horstretch>
                       <verstretch>0</verstretch>
                      </sizepolicy>
                     </property>
                     <property name="palette">
                      <palette>
                       <active>
                        <colorrole role="WindowText">
                         <brush brushstyle="SolidPattern">
                          <color alpha="255">
                           <red>255</red>
                           <green>0</green>
                           <blue>0</blue>
                          </color>
                         </brush>
                        </colorrole>
                       </active>
                       <inactive>
                        <colorrole role="WindowText">
                         <brush brushstyle="SolidPattern">
                          <color alpha="255">
                           <red>255</red>
                           <green>0</green>
                           <blue>0</blue>
                          </color>
                         </brush>
                        </colorrole>
                       </inactive>
                       <disabled>
                        <colorrole role="WindowText">
                         <brush brushstyle="SolidPattern">
                          <color alpha="255">
                           <red>159</red>
                           <green>158</green>
                           <blue>158</blue>
                          </color>
                         </brush>
                        </colorrole>
                       </disabled>
                      </palette>
                     </property>
                     <property name="text">
                      <string>Before:</string>
                     </property>
                    </widget>
                   </item>
                   <item>
                    <spacer name="horizontalSpacer_3">
                     <property name="orientation">
                      <enum>Qt::Horizontal</enum>
                     </property>
                     <property name="sizeHint" stdset="0">
                      <size>
                       <width>40</width>
                       <height>20</height>
                      </size>
                     </property>
                    </spacer>
                   </item>
                   <item>
                    <widget class="QPushButton" name="pushButtonDefBefore">
                     <property name="toolTip">
                      <string>Return to default width</string>
                     </property>
                     <property name="text">
                      <string>Default</string>
                     </property>
                    </widget>
                   </item>
                   <item alignment="Qt::AlignRight">
                    <widget class="QToolButton" name="toolButtonExprBefore">
                     <property name="toolTip">
                      <string>Formula wizard</string>
                     </property>
                     <property name="text">
                      <string notr="true">...</string>
                     </property>
                     <property name="icon">
                      <iconset resource="../../../../../vmisc/share/resources/icon.qrc">
                       <normaloff>:/icon/24x24/fx.png</normaloff>:/icon/24x24/fx.png</iconset>
                     </property>
                     <property name="iconSize">
                      <size>
                       <width>24</width>
                       <height>24</height>
                      </size>
                     </property>
                    </widget>
                   </item>
                   <item alignment="Qt::AlignRight">
                    <widget class="QLabel" name="label_6">
                     <property name="text">
                      <string/>
                     </property>
                     <property name="pixmap">
                      <pixmap resource="../../../../../vmisc/share/resources/icon.qrc">:/icon/24x24/equal.png</pixmap>
                     </property>
                    </widget>
                   </item>
                   <item alignment="Qt::AlignRight">
                    <widget class="QLabel" name="labelResultBefore">
                     <property name="sizePolicy">
                      <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                       <horstretch>0</horstretch>
                       <verstretch>0</verstretch>
                      </sizepolicy>
                     </property>
                     <property name="minimumSize">
                      <size>
                       <width>87</width>
                       <height>0</height>
                      </size>
                     </property>
                     <property name="toolTip">
                      <string>Value</string>
                     </property>
                     <property name="text">
                      <string notr="true">_</string>
                     </property>
                    </widget>
                   </item>
                  </layout>
                 </item>
                 <item>
                  <layout class="QHBoxLayout" name="horizontalLayout_7">
                   <item>
                    <widget class="VPlainTextEdit" name="plainTextEditFormulaWidthBefore">
                     <property name="sizePolicy">
                      <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
                       <horstretch>0</horstretch>
                       <verstretch>0</verstretch>
                      </sizepolicy>
                     </property>
                     <property name="maximumSize">
                      <size>
                       <width>16777215</width>
                       <height>28</height>
                      </size>
                     </property>
                     <property name="toolTip">
                      <string>Calculation</string>
                     </property>
                     <property name="tabChangesFocus">
                      <bool>true</bool>
                     </property>
                    </widget>
                   </item>
                   <item>
                    <widget class="QPushButton" name="pushButtonGrowWidthBefore">
                     <property name="maximumSize">
                      <size>
                       <width>18</width>
                       <height>18</height>
                      </size>
                     </property>
                     <property name="sizeIncrement">
                      <size>
                       <width>0</width>
                       <height>0</height>
                      </size>
                     </property>
                     <property name="toolTip">
                      <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Show full calculation in message box&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
                     </property>
                     <property name="text">
                      <string notr="true"/>
                     </property>
                     <property name="icon">
                      <iconset theme="go-down">
                       <normaloff>../</normaloff>../</iconset>
                     </property>
                     <property name="iconSize">
                      <size>
                       <width>16</width>
                       <height>16</height>
                      </size>
                     </property>
                     <property name="flat">
                      <bool>true</bool>
                     </property>
                    </widget>
                   </item>
                  </layout>
                 </item>
                 <item>
                  <layout class="QHBoxLayout" name="horizontalLayout_16">
                   <item alignment="Qt::AlignLeft">
                    <widget class="QLabel" name="labelEditAfter">
                     <property name="sizePolicy">
                      <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                       <horstretch>0</horstretch>
                       <verstretch>0</verstretch>
                      </sizepolicy>
                     </property>
                     <property name="palette">
                      <palette>
                       <active>
                        <colorrole role="WindowText">
                         <brush brushstyle="SolidPattern">
                          <color alpha="255">
                           <red>255</red>
                           <green>0</green>
                           <blue>0</blue>
                          </color>
                         </brush>
                        </colorrole>
                       </active>
                       <inactive>
                        <colorrole role="WindowText">
                         <brush brushstyle="SolidPattern">
                          <color alpha="255">
                           <red>255</red>
                           <green>0</green>
                           <blue>0</blue>
                          </color>
                         </brush>
                        </colorrole>
                       </inactive>
                       <disabled>
                        <colorrole role="WindowText">
                         <brush brushstyle="SolidPattern">
                          <color alpha="255">
                           <red>159</red>
                           <green>158</green>
                           <blue>158</blue>
                          </color>
                         </brush>
                        </colorrole>
                       </disabled>
                      </palette>
                     </property>
                     <property name="text">
                      <string>After:</string>
                     </property>
                    </widget>
                   </item>
                   <item>
                    <spacer name="horizontalSpacer_6">
                     <property name="orientation">
                      <enum>Qt::Horizontal</enum>
                     </property>
                     <property name="sizeHint" stdset="0">
                      <size>
                       <width>40</width>
                       <height>20</height>
                      </size>
                     </property>
                    </spacer>
                   </item>
                   <item>
                    <widget class="QPushButton" name="pushButtonDefAfter">
                     <property name="toolTip">
                      <string>Return to default width</string>
                     </property>
                     <property name="text">
                      <string>Default</string>
                     </property>
                    </widget>
                   </item>
                   <item alignment="Qt::AlignRight">
                    <widget class="QToolButton" name="toolButtonExprAfter">
                     <property name="toolTip">
                      <string>Formula wizard</string>
                     </property>
                     <property name="text">
                      <string notr="true">...</string>
                     </property>
                     <property name="icon">
                      <iconset resource="../../../../../vmisc/share/resources/icon.qrc">
                       <normaloff>:/icon/24x24/fx.png</normaloff>:/icon/24x24/fx.png</iconset>
                     </property>
                     <property name="iconSize">
                      <size>
                       <width>24</width>
                       <height>24</height>
                      </size>
                     </property>
                    </widget>
                   </item>
                   <item alignment="Qt::AlignRight">
                    <widget class="QLabel" name="label_10">
                     <property name="text">
                      <string/>
                     </property>
                     <property name="pixmap">
                      <pixmap resource="../../../../../vmisc/share/resources/icon.qrc">:/icon/24x24/equal.png</pixmap>
                     </property>
                    </widget>
                   </item>
                   <item alignment="Qt::AlignRight">
                    <widget class="QLabel" name="labelResultAfter">
                     <property name="sizePolicy">
                      <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                       <horstretch>0</horstretch>
                       <verstretch>0</verstretch>
                      </sizepolicy>
                     </property>
                     <property name="minimumSize">
                      <size>
                       <width>87</width>
                       <height>0</height>
                      </size>
                     </property>
                     <property name="toolTip">
                      <string>Value</string>
                     </property>
                     <property name="text">
                      <string notr="true">_</string>
                     </property>
                    </widget>
                   </item>
                  </layout>
                 </item>
                 <item>
                  <layout class="QHBoxLayout" name="horizontalLayout_17">
                   <item>
                    <widget class="VPlainTextEdit" name="plainTextEditFormulaWidthAfter">
                     <property name="sizePolicy">
                      <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
                       <horstretch>0</horstretch>
                       <verstretch>0</verstretch>
                      </sizepolicy>
                     </property>
                     <property name="maximumSize">
                      <size>
                       <width>16777215</width>
                       <height>28</height>
                      </size>
                     </property>
                     <property name="toolTip">
                      <string>Calculation</string>
                     </property>
                     <property name="tabChangesFocus">
                      <bool>true</bool>
                     </property>
                    </widget>
                   </item>
                   <item>
                    <widget class="QPushButton" name="pushButtonGrowWidthAfter">
                     <property name="maximumSize">
                      <size>
                       <width>18</width>
                       <height>18</height>
                      </size>
                     </property>
                     <property name="sizeIncrement">
                      <size>
                       <width>0</width>
                       <height>0</height>
                      </size>
                     </property>
                     <property name="toolTip">
                      <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Show full calculation in message box&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
                     </property>
                     <property name="text">
                      <string notr="true"/>
                     </property>
                     <property name="icon">
                      <iconset theme="go-down">
                       <normaloff>../</normaloff>../</iconset>
                     </property>
                     <property name="iconSize">
                      <size>
                       <width>16</width>
                       <height>16</height>
                      </size>
                     </property>
                     <property name="flat">
                      <bool>true</bool>
                     </property>
                    </widget>
                   </item>
                  </layout>
                 </item>
                 <item>
                  <layout class="QHBoxLayout" name="horizontalLayout_15">
                   <item>
                    <widget class="QLabel" name="labelAngle">
                     <property name="text">
                      <string>Angle:</string>
                     </property>
                    </widget>
                   </item>
                   <item>
                    <widget class="QComboBox" name="comboBoxAngle">
                     <property name="sizePolicy">
                      <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
                       <horstretch>0</horstretch>
                       <verstretch>0</verstretch>
                      </sizepolicy>
                     </property>
                    </widget>
                   </item>
                   <item>
                    <spacer name="horizontalSpacer_8">
                     <property name="orientation">
                      <enum>Qt::Horizontal</enum>
                     </property>
                     <property name="sizeHint" stdset="0">
                      <size>
                       <width>40</width>
                       <height>20</height>
                      </size>
                     </property>
                    </spacer>
                   </item>
                  </layout>
                 </item>
                </layout>
               </widget>
              </item>
             </layout>
            </widget>
           </item>
           <item>
            <widget class="QGroupBox" name="groupBoxCustom">
             <property name="enabled">
              <bool>false</bool>
             </property>
             <property name="title">
              <string comment="seam allowance">Custom</string>
             </property>
             <property name="flat">
              <bool>false</bool>
             </property>
             <layout class="QVBoxLayout" name="verticalLayout_4">
              <property name="spacing">
               <number>6</number>
              </property>
              <property name="topMargin">
               <number>9</number>
              </property>
              <property name="bottomMargin">
               <number>0</number>
              </property>
              <item>
               <widget class="QSplitter" name="splitter">
                <property name="orientation">
                 <enum>Qt::Horizontal</enum>
                </property>
                <property name="opaqueResize">
                 <bool>true</bool>
                </property>
                <widget class="QWidget" name="layoutWidget_2">
                 <layout class="QFormLayout" name="formLayout_2">
                  <property name="fieldGrowthPolicy">
                   <enum>QFormLayout::ExpandingFieldsGrow</enum>
                  </property>
                  <property name="horizontalSpacing">
                   <number>6</number>
                  </property>
                  <item row="0" column="0">
                   <widget class="QLabel" name="labelStartPoint">
                    <property name="text">
                     <string>Start point:</string>
                    </property>
                   </widget>
                  </item>
                  <item row="0" column="1">
                   <widget class="QComboBox" name="comboBoxStartPoint"/>
                  </item>
                  <item row="1" column="0">
                   <widget class="QLabel" name="labelEndPoint">
                    <property name="text">
                     <string>End point:</string>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="1">
                   <widget class="QComboBox" name="comboBoxEndPoint"/>
                  </item>
                  <item row="2" column="0">
                   <widget class="QLabel" name="labelIncludeType">
                    <property name="text">
                     <string>Include as:</string>
                    </property>
                   </widget>
                  </item>
                  <item row="2" column="1">
                   <widget class="QComboBox" name="comboBoxIncludeType">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </widget>
                <widget class="QListWidget" name="listWidgetCustomSA">
                 <property name="sizePolicy">
                  <sizepolicy hsizetype="Preferred" vsizetype="Expanding">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="sizeIncrement">
                  <size>
                   <width>0</width>
                   <height>0</height>
                  </size>
                 </property>
                 <property name="dragDropMode">
                  <enum>QAbstractItemView::InternalMove</enum>
                 </property>
                </widget>
               </widget>
              </item>
             </layout>
            </widget>
           </item>
          </layout>
         </widget>
         <widget class="QWidget" name="tabInternalPaths">
          <attribute name="title">
           <string>Internal paths</string>
          </attribute>
          <layout class="QVBoxLayout" name="verticalLayout_7">
           <item>
            <widget class="QListWidget" name="listWidgetInternalPaths"/>
           </item>
          </layout>
         </widget>
        </widget>
       </item>
      </layout>
     </widget>
    </widget>
   </item>
  </layout>
 </widget>
 <customwidgets>
  <customwidget>
   <class>VLineEdit</class>
   <extends>QLineEdit</extends>
   <header>vlineedit.h</header>
  </customwidget>
  <customwidget>
   <class>VPlainTextEdit</class>
   <extends>QPlainTextEdit</extends>
   <header>vplaintextedit.h</header>
  </customwidget>
 </customwidgets>
 <resources>
  <include location="../../../../../vmisc/share/resources/icon.qrc"/>
 </resources>
 <connections/>
</ui>
